Control de versiones y actualizaciones

En esta sección, se explica el control de versiones de GKE On-Prem. También consulta lo siguiente:

Control de versiones

GKE On-Prem lanza una versión aproximadamente cada mes.

Para obtener una lista de las versiones compatibles, consulta Versiones más recientes disponibles.

Esquema del control de versiones

Las versiones locales de GKE se ven así: X.Y.Z.-gke.N

Versión principal (X)
Las versiones principales agregan cambios incompatibles con versiones anteriores.
Versiones menores (X.Y)
Por lo general, las versiones menores presentan funciones nuevas.
Versiones de parches (X.Y.Z-gke.N)
Por lo general, las versiones de parches son pequeñas e incluyen correcciones y actualizaciones de seguridad. Por lo general, no presentan funciones nuevas. -gke.N es el número candidato de lanzamiento de la versión.

Versiones más recientes disponibles

Última versión Versiones disponibles
1.5.0-gke.27

Versiones de Kubernetes

En la siguiente tabla, se muestra la versión de Kubernetes que ejecutan los clústeres de GKE On-Prem, según la versión de GKE On-Prem de los clústeres:

Versión de GKE on-prem Versión de Kubernetes
1.5.0-gke.27 1.17.9-gke.4400
1.4.3-gke.3, 1.4.2-gke.3 v1.16.11-gke.11
1.4.1-gke.1 1.16.9-gke.14
1.4.0-gke.13 1.16.8-gke.6
1.3.4-gke.3 1.15.12-gke.15
1.3.3-gke.0 1.15.12-gke.9
1.3.2-gke.1, 1.3.1-gke.0, 1.3.0-gke.16 1.15.7-gke.32
1.2.2-gke.2, 1.2.1-gke.4, 1.2.0-gke.6 1.14.7-gke.24
1.1.0-gke.6, 1.1.1-gke.2, 1.1.2-gke.0 1.13.7-gke.20
1.0.10, 1.0.1-gke.5, 1.0.2-gke.3 1.12.7-gke.19

Versiones de kernel del nodo

En la siguiente tabla, se muestra la versión del kernel de Linux que se ejecuta en los nodos del clúster de GKE On-Prem.

Versión de GKE on-prem Versión de kernel del nodo
1.5.0-gke.27 5.4.0.47.51
1.4.3-gke.3 5.3.0.67.124
1.4.2-gke.3 5.3.0.64.58
1.4.1-gke.1 5.3.0.62.56
1.4.0-gke.13 5.3.0.53.109
1.3.4-gke.3 5.0.0-61.65
1.3.3-gke.0, 1.3.2-gke.1 5.0.0.47.104
1.3.1-gke.0 5.0.0.43.100
1.3.0-gke.16 5.0.0.40.42
1.2.2-gke.2 4.15.0.74.76
1.2.1-gke.4 4.15.0.74.76
1.2.0-gke.6 4.15.0.62.64
1.1.2-gke.0 4.15.0.62.64
1.1.1-gke.2 4.15.0.62.64
1.1.0-gke.6 4.15.0.58.60
1.0.2-gke.3 4.15.0.58.60
1.0.1-gke.5 4.15.0.52.54

Entidades con versiones

Cada actualización de GKE On-Prem incluye las siguientes entidades con versiones:

Entity Descripción Control de versiones (versión actual)
gkeadm (objeto binario) Herramienta de línea de comandos para crear y administrar estaciones de trabajo de administrador. Para verificar la versión de gkeadm, ejecuta gkeadm version.
gkectl (objeto binario) Interfaz de línea de comandos para GKE On-Prem. Crea y administra clústeres, crea archivos de configuración y ejecuta comprobaciones previas. Se incluye en el OVA de la estación de trabajo del administrador. Para verificar la versión de un objeto binario de gkectl, ejecuta gkectl version
Paquete de clústeres (archivo TGZ) Archivo que contiene la imagen del sistema operativo del nodo para clústeres y otros componentes de clústeres. Se incluye en el OVA de la estación de trabajo del administrador. gke-onprem-vsphere-GKE on-prem-full.tgz
Imagen de máquina virtual de la estación de trabajo del administrador (archivo OVA) Archivo comprimido del dispositivo virtual que contiene una imagen de la estación de trabajo de administrador. Incluye el paquete del clúster y gkectl en la misma versión que el OVA. gke-on-prem-admin-appliance-vsphere-1.5.0-gke.27.ova

Control de versiones del clúster

La versión de un clúster se configura mediante el paquete que se usa para crearlo o actualizarlo.

Los clústeres de administrador y los clústeres de usuario pueden ejecutar una versión diferente entre sí. Cuando una versión nueva de GKE On-Prem esté disponible, es posible que debas actualizar el clúster de administrador antes de actualizar los clústeres de usuario.

Para interactuar con un clúster de administrador mediante gkectl, gkectl debe estar en la misma versión que el clúster de administrador. Esto no se aplica a los clústeres de usuarios.

Actualizaciones de seguridad

Para determinar si una actualización contiene actualizaciones de seguridad, consulta las notas de la versión y los boletines de seguridad de Google Kubernetes Engine.

Actualiza

GKE On-Prem es compatible con actualizaciones secuenciales y de omisión.

Matriz de compatibilidad de versiones

Versión de GKE on-prem 1.0 (k8s 1.12) 1.1 (k8s 1.13) 1.2 (k8s 1.14) 1.3 (k8s 1.15) 1.4 (k8s 1.16) 1.5 (k8s 1.17)
Fecha de lanzamiento 2º trimestre de 2019 3º trimestre de 2019 4º trimestre de 2019 1º trimestre de 2020 2º trimestre de 2020 3º trimestre de 2020
Capa de virtualización Versión vSphere 6.5U3 o una versión superior vSphere 6.5U3 o una versión superior

vSphere 6.5U3 o una versión superior

vSphere 6.7U3 o una versión superior

vSphere 6.5U3 o una versión superior

vSphere 6.7U3 o una versión superior

vSphere 6.5U3 o una versión superior

vSphere 6.7U3 o una versión superior

vSphere 6.5U3 o una versión superior

vSphere 6.7U3 o una versión superior

Edición vSphere Enterprise vSphere Standard * o superior vSphere Standard * o superior vSphere Standard * o superior vSphere Standard * o superior vSphere Standard * o superior
Opciones de herramientas de redes de los nodos Interruptor estándar de vSphere No
Conmutador distribuido de vSphere
vSphere NSX-T No No NSX-T 2.4.2 ‡ NSX-T 2.4.2 ‡ NSX-T 2.4.2 ‡ NSX-T 2.5.1 ‡
Opciones del balanceo de cargas BIG-IP de F5 #

Controlador BIG-IP de F5 versión 1.9.0

Compatible con BIG-IP versión 12.x, v13.x, v14.x

Controlador BIG-IP versión 1.9.2

Compatible con BIG-IP versión 12.x, v13.x, v14.x

Controlador BIG-IP de F5 versión 1.11.1

Compatible con BIG-IP versión 12.x, v13.x, v14.x

Controlador de BIG-IP de F5 versión 1.13.0

Compatible con BIG-IP versión 12.x, v13.x, v14.x

Controlador de BIG-IP de F5 versión 1.14.0

Compatible con BIG-IP versión 12.x, v13.x, v14.x

Modo de balanceo de cargas manual
Balanceador de cargas empaquetado (proporcionado por Google) No No EAP
Opciones de almacenamiento vSAN (opcional) No No vSAN 6.7U3 vSAN 6.7U3 vSAN 6.7U3 vSAN 6.7U3
Almacenamiento compatible con vSphere (SAN/DAS/SDS)
Proveedores de almacenamiento de CSI Consulta Google anuncia el programa de partners del almacenamiento de Anthos Ready.

*Se recomienda usar vSphere Enterprise.

† No se admite NSX-V.

‡ La compatibilidad con NSX-T incluye herramientas de redes de los nodos para la comunicación entre nodos. No se admiten las herramientas de redes de pods, Ingress ni la integración de NSX-T CNI.

# Si deseas obtener una matriz de compatibilidad actualizada para F5, consulta Versiones y control de versiones.